Reverse Geocode Location
curl --request POST \
--url https://api.aisa.one/apis/v1/google-maps/geocode-location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"latitude": 37.4224764,
"longitude": -122.0842499
}
'import requests
url = "https://api.aisa.one/apis/v1/google-maps/geocode-location"
payload = {
"latitude": 37.4224764,
"longitude": -122.0842499
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({latitude: 37.4224764, longitude: -122.0842499})
};
fetch('https://api.aisa.one/apis/v1/google-maps/geocode-location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google-maps/geocode-location",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'latitude' => 37.4224764,
'longitude' => -122.0842499
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google-maps/geocode-location"
payload := strings.NewReader("{\n \"latitude\": 37.4224764,\n \"longitude\": -122.0842499\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/google-maps/geocode-location")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"latitude\": 37.4224764,\n \"longitude\": -122.0842499\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google-maps/geocode-location")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"latitude\": 37.4224764,\n \"longitude\": -122.0842499\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"place": "<string>",
"types": [
"<string>"
],
"bounds": {
"low": {
"latitude": 123,
"longitude": 123
},
"high": {
"latitude": 123,
"longitude": 123
}
},
"placeId": "<string>",
"location": {
"latitude": 123,
"longitude": 123
},
"plusCode": {
"globalCode": "<string>",
"compoundCode": "<string>"
},
"viewport": {
"low": {
"latitude": 123,
"longitude": 123
},
"high": {
"latitude": 123,
"longitude": 123
}
},
"granularity": "<string>",
"postalAddress": {
"locality": "<string>",
"revision": 123,
"postalCode": "<string>",
"recipients": [
"<string>"
],
"regionCode": "<string>",
"sortingCode": "<string>",
"sublocality": "<string>",
"addressLines": [
"<string>"
],
"languageCode": "<string>",
"organization": "<string>",
"administrativeArea": "<string>"
},
"formattedAddress": "<string>",
"addressComponents": [
{
"types": [
"<string>"
],
"longText": "<string>",
"shortText": "<string>",
"languageCode": "<string>"
}
],
"postalCodeLocalities": [
{
"text": "<string>",
"languageCode": "<string>"
}
]
}
],
"plusCode": {
"globalCode": "<string>",
"compoundCode": "<string>"
}
}Google Maps
Reverse Geocode Location
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0053 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
google-maps
/
geocode-location
Reverse Geocode Location
curl --request POST \
--url https://api.aisa.one/apis/v1/google-maps/geocode-location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"latitude": 37.4224764,
"longitude": -122.0842499
}
'import requests
url = "https://api.aisa.one/apis/v1/google-maps/geocode-location"
payload = {
"latitude": 37.4224764,
"longitude": -122.0842499
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({latitude: 37.4224764, longitude: -122.0842499})
};
fetch('https://api.aisa.one/apis/v1/google-maps/geocode-location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/google-maps/geocode-location",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'latitude' => 37.4224764,
'longitude' => -122.0842499
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/google-maps/geocode-location"
payload := strings.NewReader("{\n \"latitude\": 37.4224764,\n \"longitude\": -122.0842499\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/google-maps/geocode-location")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"latitude\": 37.4224764,\n \"longitude\": -122.0842499\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/google-maps/geocode-location")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"latitude\": 37.4224764,\n \"longitude\": -122.0842499\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"place": "<string>",
"types": [
"<string>"
],
"bounds": {
"low": {
"latitude": 123,
"longitude": 123
},
"high": {
"latitude": 123,
"longitude": 123
}
},
"placeId": "<string>",
"location": {
"latitude": 123,
"longitude": 123
},
"plusCode": {
"globalCode": "<string>",
"compoundCode": "<string>"
},
"viewport": {
"low": {
"latitude": 123,
"longitude": 123
},
"high": {
"latitude": 123,
"longitude": 123
}
},
"granularity": "<string>",
"postalAddress": {
"locality": "<string>",
"revision": 123,
"postalCode": "<string>",
"recipients": [
"<string>"
],
"regionCode": "<string>",
"sortingCode": "<string>",
"sublocality": "<string>",
"addressLines": [
"<string>"
],
"languageCode": "<string>",
"organization": "<string>",
"administrativeArea": "<string>"
},
"formattedAddress": "<string>",
"addressComponents": [
{
"types": [
"<string>"
],
"longText": "<string>",
"shortText": "<string>",
"languageCode": "<string>"
}
],
"postalCodeLocalities": [
{
"text": "<string>",
"languageCode": "<string>"
}
]
}
],
"plusCode": {
"globalCode": "<string>",
"compoundCode": "<string>"
}
}请求规范
- 方法与路径: POST /apis/v1/google-maps/geocode-location
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/google-maps/geocode-location - Runtime 事实版本: 3b5a2acec503471a11eb19f2556b4dd51989d71bc63d22f67f55218e55b002ef
{
"operationId": "google-maps.geocode-location",
"method": "POST",
"path": "/apis/v1/google-maps/geocode-location",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"latitude",
"longitude"
],
"properties": {
"types": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"street_address",
"locality"
]
],
"description": "Set of type tags to restrict results; results without specified types are removed"
},
"latitude": {
"type": "number",
"maximum": 90,
"minimum": -90,
"examples": [
37.4224764
],
"description": "Latitude coordinate in degrees, range [-90.0, +90.0]"
},
"longitude": {
"type": "number",
"maximum": 180,
"minimum": -180,
"examples": [
-122.0842499
],
"description": "Longitude coordinate in degrees, range [-180.0, +180.0]"
},
"regionCode": {
"type": "string",
"examples": [
"US",
"GB",
"FR"
],
"description": "Region code specified as a ccTLD two-character value, affecting results based on applicable law"
},
"languageCode": {
"type": "string",
"examples": [
"en",
"es",
"fr"
],
"description": "Language code in which the results should be returned (BCP-47 format)"
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0053,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0053 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0053
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Latitude coordinate in degrees, range [-90.0, +90.0]
必填范围:
-90 <= x <= 90示例:
37.4224764
Longitude coordinate in degrees, range [-180.0, +180.0]
必填范围:
-180 <= x <= 180示例:
-122.0842499
Set of type tags to restrict results; results without specified types are removed
示例:
["street_address", "locality"]
Region code specified as a ccTLD two-character value, affecting results based on applicable law
示例:
"US"
"GB"
"FR"
Language code in which the results should be returned (BCP-47 format)
示例:
"en"
"es"
"fr"